Mod  Plugin  Résolu Sponge 1.12

Discussion dans 'Support serveur et plugins' créé par TookieP, 14 Juin 2019.

  1. TookieP

    TookieP Ramasseur de champignons

    Inscrit:
    21 Octobre 2015
    Messages:
    7
    J'aime reçus:
    0
    Bonjour,

    J'ai un serveur forge avec sponge en 1.8, est-ce possible d'y mettre un plugin qui est d'une version supérieur (1.12) ? Ca changerais quelque chose ? et si c'est possible d'y mettre ce plugin, comment faire ?

    Merci beaucoup.
    TookieP
     
  2. TD_

    TD_ Etudiant Génie Télécom et Réseau

    Inscrit:
    5 Juillet 2014
    Messages:
    440
    J'aime reçus:
    28
    Bonjour ToukieP,

    Avec sponge cité en titre j'imagine que tu penses l'utiliser.
    Je n'ai pas très bien compris le fonctionnement plutôt asynchrone de ce système.

    Donc on va juste parler d'un plugins avec une version de différence.
    En soit c'est possible et impossible, ça dépend uniquement du plugin. C'est comme si tu veux ajouter un block de la 1.12 en 1.7 c'est pas possible tu le comprends bien.
    Du coup je penses que certains plugins fonctionneront mais on parle d'ici d'un petit nombre uniquement

    Sache juste qu'un plugin Spigot ne fonctionne absolument pas sur sponge.

    Voila voila :)
     
  3. DiscowZombie

    DiscowZombie Dev passionné
    Staff Modérateur Support

    Inscrit:
    2 Mars 2017
    Messages:
    2 555
    J'aime reçus:
    853
    Salut,

    ce qui est important pour Sponge ce n'est pas la version de Minecraft, mais l'API-version de Sponge. Ce qu'il faut comparé, c'est donc l'API-version de ton Serveur Sponge avec l'API-version pour laquelle a été développé ce plugin. Si le plugin a été développé pour Sponge 7.0 et que ton serveur est en Sponge 7.0.x, ça marchera. Si ton serveur est en Sponge 6.x, ça ne sera pas le cas.

    Ce que je t'invite à faire est donc nous envoyé ton API-version de ton serveur (/sponge version) ainsi qu'un lien vers la page du plugin pour qu'on puisse te dire si c'est compatible !
     
    robin4002 apprécie ceci.

Partager cette page